XSP4を起動できませんでした。

私はモノラル( 2.10.7 )インスタンスを実行していると私はいくつかの ASP.NET MVC 3 のアプリケーションをコーディングしようとしているが、私はちょうど私が知らない壁を打ったどのように渡す。

まず、XSP4が見つかりませんでした(MonoDevelop 2.9.1 Beta から簡単なアプリケーションを起動しています)ので、GitリポジトリからXSPをインストールしました。 、サーバーを起動しようとすると、Mono.WebServer v0.4.0を指す参照が欠落しています。

私はMono.WebServer DLLのWebを見て、それを見つけてダウンロードしてGACに入れて、今このerrox64を入手しています

Handling exception type FileNotFoundException
Message is Could not load file or assembly 'xsp4, Version=2.11.0.0, 
Culture=neutral, PublicKeyToken=0738eb9f132ed756' or one of 
its dependencies. The system cannot find the file specified.

だから私は本当に私が行方不明(私はちょうど xsp4 をインストール!)を知っていない。

私は Slackware x64 13.37 とすべてのMonoパッケージを実行していますが、 xsp4 (Gitリポジトリから取得したもの)です。何かが間違った場所にある可能性がありますか?

前もって感謝します!

1

2 答え

私も同じ問題がありました。修正するために、xsp4.exeとMono.WebServer2.dll Mono.Security.dllをgacに追加しました:

gacutil/i xsp4.exe
gacutil/i Mono.WebServer2.dll
gacutil/i Mono.Security.dll
1
追加された
素晴らしいです、ありがとう!
追加された 著者 Hugo,
私にとっては、このコマンドはgacディレクトリからxsp4.exeを削除し、今度はそれへのすべてのシンボリックリンクがどこにも向いていないようになりました。この現象の原因は不明ですが、慎重に進めてください。
追加された 著者 sean_m,
アセンブリにMono.WebServer2.dllを追加できません:指定されたファイルは有効なアセンブリではありません。
追加された 著者 RichardJohnn,

他のモノパッケージはどこで見つけましたか? gitのxspはgitからモノが必要なのでエラーだと思う。パッケージxsp2を同じ場所から取得するか、gitからmonoをコンパイルしてみてください。

0
追加された